#ifndef VMNET_H
#define VMNET_H

/* Node type name and type cookie */
#define NG_VMNET_NODE_TYPE	"vmnet"
#define NG_VMNET_COOKIE		944352214

/* Netgraph hooks */
#define NG_VMNET_HOOK_DEBUG	"debug"
#define NG_VMNET_HOOK_CONTROL	"control"
#define NG_VMNET_HOOK_RAW	"rawdata"

#define VMNET_MRU	16384

#define	VMIO_SIOCSIFFLAGS	_IO('V', 0)
#define VMIO_SIOCSKEEP 		_IO('V', 1)
#define VMIO_SIOCSIFBR 		_IO('V', 2)
#define VMIO_SIOCSLADRF		_IO('V', 3)
#define VMIO_SIOCSETMACADDR	_IO('V', 4)


#define VMIO_SIOCPORT		_IO('V', 5)
#define VMIO_SIOCBRIDGE		_IO('V', 6)
#define VMIO_SIOCNETIF		_IO('V', 7)

#endif /* VMNET_H */

